Subject: Re: [PATCH 1/2] ARM: multi_v7_defconfig: Update for dropped options

From: Tony Lindgren <[email-masked]>
Date: Tue, 5 Feb 2019 08:11:53 -0800

* Simon Horman <[email-masked]> [190205 10:58]:
> On Tue, Feb 05, 2019 at 09:07:38AM +0100, Geert Uytterhoeven wrote:
> > Hi Tony,
> > 
> > On Mon, Feb 4, 2019 at 9:37 PM Tony Lindgren <[email-masked]> wrote:
> > > These are automatically selected with make multi_v7_defconfig,
> > > except for SH_DMAE which is selected only by sound/soc/sh/Kconfig.
> > >
> > > Cc: Arnd Bergmann <[email-masked]>
> > > Cc: Geert Uytterhoeven <[email-masked]>
> > > Cc: Olof Johansson <[email-masked]>
> > > Cc: Russell King <[email-masked]>
> > > Cc: Simon Horman <[email-masked]>
> > > Signed-off-by: Tony Lindgren <[email-masked]>
> > 
> > Thanks, this matches similar changes to shmobile_defconfig in commit
> > 4162325afd0d553c ("ARM: shmobile: defconfig: Refresh for v5.0-rc1")
> > in next.
> > 
> > Acked-by: Geert Uytterhoeven <[email-masked]>
> 
> Acked-by: Simon Horman <[email-masked]>
> 
> > 
> > I didn't update multi_v7_defconfig to avoid conflicts.
> > IMHO the arm-soc maintainers should handle the refresh of the common
> > config on a regular basis[*].
> > 
> > [*] When is the right time? I'd say it should be the last commit just
> >     before the release of rc1 (so all arm-soc submaintainers' trees will
> >     have the new base in their for-next branches for the next merge
> >     window), but that may be difficult to implement.
> > 
> > What do you think? Thanks!

Yeah I agree we should do it on regular basis just before -rc1
for multi_v7_defconfig.

The reasoning being that make savedefconfig is pretty much useless
otherwise for generating defconfig patches and the chances of
pointless merge conflicts and errors keep increasing until
something breaks :)

I can attempt to do a late branch of the dropped and moved options
refreshed against arm-soc defconfig branch if that helps.

Regards,

Tony

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel